Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 7.0.29
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tomcat.util.http.fileupload
Class FileUtils

    java.lang.Object
      org.apache.tomcat.util.http.fileupload.FileUtils

    public class FileUtils

extends Object

General file manipulation utilities.

Facilities are provided in the following areas:

- writing to a file
- reading from a file
- make a directory including parent directories
- copying files and directories
- deleting files and directories
- converting to and from a URL
- listing files and directories by filter and extension
- comparing file content
- file last changed date
- calculating a checksum

Origin of code: Excalibur, Alexandria, Commons-Utils

Version:
  $Id: FileUtils.java 992409 2010-09-03 18:35:59Z markt $
Author:
  Kevin A. Burton, Scott Sanders, Daniel Rall, Christoph.Reck, Peter Donald, Jeff Turner, Matthew Hawthorne, Jeremias Maerki, Stephen Colebourne, Ian Springer, Chris Eldredge, Jim Harrington, Niall Pemberton, Sandy McArthur

Constructor Summary
`FileUtils()` Instances should NOT be constructed in standard programming.

Method Summary
`static void` | `cleanDirectory(File directory)` Cleans a directory without deleting it.
`static void` | `deleteDirectory(File directory)` Deletes a directory recursively.
`static void` | `forceDelete(File file)` Deletes a file.
`static void` | `forceDeleteOnExit(File file)` Schedules a file to be deleted when JVM exits.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FileUtils

    public FileUtils()

  Instances should NOT be constructed in standard programming.

Method Detail

### deleteDirectory

    public static void deleteDirectory(File directory)
                                throws IOException

  Deletes a directory recursively.

  Parameters:
    `directory` - directory to delete
  Throws:
    `IOException` - in case deletion is unsuccessful

### cleanDirectory

    public static void cleanDirectory(File directory)
                               throws IOException

  Cleans a directory without deleting it.

  Parameters:
    `directory` - directory to clean
  Throws:
    `IOException` - in case cleaning is unsuccessful

### forceDelete

    public static void forceDelete(File file)
                            throws IOException

  Deletes a file. If file is a directory, delete it and all sub-directories.

  The difference between File.delete() and this method are:

  - A directory to be deleted does not have to be empty.
  - You get exceptions when a file or directory cannot be deleted. (java.io.File methods returns a boolean)

  Parameters:
    `file` - file or directory to delete, must not be `null`
  Throws:
    `NullPointerException` - if the directory is `null`
    `FileNotFoundException` - if the file was not found
    `IOException` - in case deletion is unsuccessful

### forceDeleteOnExit

    public static void forceDeleteOnExit(File file)
                                  throws IOException

  Schedules a file to be deleted when JVM exits. If file is directory delete it and all sub-directories.

  Parameters:
    `file` - file or directory to delete, must not be `null`
  Throws:
    `NullPointerException` - if the file is `null`
    `IOException` - in case deletion is unsuccessful

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 7.0.29
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2012 Apache Software Foundation. All Rights Reserved.